% Filename: dF_dTau.m
% This function gives a value of dF/dTau.
function val = funcF(xdata, lambda, tau)
  lam2=lambda*lambda;
  tmp=lambda*xdata+tau;
  lnTmp=log(tmp);
  tmp1=sum(lnTmp);
  val=tmp1*tmp1/(2*length(xdata)*lam2)-sum(lnTmp.*lnTmp)/(2*lam2)-tmp1;
end